Carregando...

GP9 Loco for Overhauled Trains mod V5

Baixar

351

Version 5 now has working running lights, working mars light, and proper collisions. The model also now has livery support. The "shell" paintjob is no longer on this train because it now has its own model version. Included livery packs are go loco and Southern pacific. If you take a look at the texture though its pretty easy to add your own in photoshop!

To enable liveries on default replace:

In OpenIV navigate to:

MODS\ COMMON.RPF\ DATA\ LEVELS\ GTA5

Make a backup of VEHICLES.META.

Next enter edit mode and right click on vehicles.meta in the OpenIV list.

Select EDIT.

Search for the entry for "FREIGHT"

Add the following in the FLAGS of the entry:

FLAG_HAS_LIVERY

Unclick edit mode and exit OpenIV.

The engine will now show different pain-jobs when it spawns.

Version 4 Has full working LOD and is now compatible fully with replace vanilla as well as Overhauled trains. It still will not work on the crash the trains mission though. Huge thank you to my friend @vladimir9292 for letting me know the new train works with replace. A second Go Loco version is now included and major fixes to the LOD texture maps! Next update will hopefully include texture maps for the interior as well.

VERSION 3 Finally includes a proper LOD set that allows it to be used to replace the normal vanilla train as well as making it easier on overhauled trains to use. The file should also now be fiveM capable as I think its still within the size restrictions. Please feel free to try it out and let me know. More updates to come. Huge amounts of thanks to DEADSPIN for taking the time to help me find the error with these LODs. Without his help this would have taken much much longer if ever. IF replacing the vanilla train please note that this train will NOT work in the mission where you must crash the train on the bridge. The crash in the cut scene breaks. But for everything else it should be fine.

VERSION 2 includes much needed fixes to the truck assembly as well as fixing shine and reflections. Overall the model looks extremely better now!

This mod adds an EMD GP9 high-hood 6 axle loco to the Overhauled trains mod: https://www.gta5-mods.com/vehicles/overhauled-trains-lore-friendly-liveries

I do not have livery support enabled yet, so for now choose Go Loco, Shell, or 1980's circa Southern Pacific.

This is my first try at converting a model. Most of this engine is from TS2019. I used the default freight train to help me convert it. It is a WORK IN PROGRESS. As you can see in the pics the train works, spawns etc. It can be seen up close or from far distance. BUT, this train is using a copy of the high detail file for the low detail also. If your system doesnt have a strong graphics card this train could cause some issues maybe. It works fine on mine, but I do intend to fix the LOD with proper ones. I have never converted before and the models are NOT locked. PLEASE if you are good with train models, advise or help me with the LOD. Unlike my other models, this one causes memory crash if I make LOD using OPTIMIZE in ZM3. If I manually use WELD to reduce poly, I get a corrupt file crash. Maybe its something different for this type of model. But Im trying to teach myself and Im not having luck with this one.

Known Issues:

Model is using default freight COL file. Im also still learning custom COL in ZM3.

To drive this train you MUST add emdgp9 to the train list in railroad engineer script!

Install instructions are in the README. I cannot stress enough that this is a WIP so please offer helpful criticism and advice if you are good with ZM3.
Show Full Description

Primeiro envio: 23 de Maio de 2019
Último envio: 05 de Julho de 2019
Último download: há 9 dias atrás

All Versions

 V5 (current)

125 downloads , 24 MB
05 de Julho de 2019

 V4

66 downloads , 36 MB
04 de Junho de 2019

 3

41 downloads , 32 MB
02 de Junho de 2019

 2

12 downloads , 27 MB
30 de Maio de 2019

 1

107 downloads , 27 MB
23 de Maio de 2019

44 Comentários